Anonymous | Login
Project:
RSS
  
News | My View | View Issues | Roadmap | Summary

View Issue DetailsJump to Notes ] Issue History ] Print ]
ID
0029847
TypeCategorySeverityReproducibilityDate SubmittedLast Update
defect[Openbravo ERP] Z. Othersmajoralways2015-05-12 11:162015-05-26 15:08
ReportermaiteView Statuspublic 
Assigned Tojorge-garcia 
PriorityurgentResolutionfixedFixed in Versionpi
StatusclosedFix in branchFixed in SCM revision46c71bc865ae
ProjectionnoneETAnoneTarget Version3.0PR15Q3
OSAnyDatabaseAnyJava version
OS VersionDatabase versionAnt version
Product VersionSCM revision 
Review Assigned ToAtulOpenbravo
Web browser
ModulesPayment Report
Regression level
Regression date
Regression introduced in release
Regression introduced by commit
Triggers an Emergency PackNo
Summary

0029847: Decimal and Grouping separators defined in Format.xml are not applied when running Payment Report in PDF

DescriptionDecimal and Grouping separators defined in Format.xml are not applied when running Payment Report in PDF
Steps To Reproduce1. Configure your Format.xml with decimal="," grouping="."
2. Rebuild application
3. Run Payment Report in HTML format and realize that NUMBERFORMAT has been correctly applied
4. Run Payment Report in PDF format and realize that NUMBERFORMAT has NOT been correctly applied
Proposed SolutionNUMBERFORMAT should be applied to numeric fields in org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportPDF.jrxml, for instance:

($F{BASE_AMOUNT}!=null)?$P{NUMBERFORMAT}.format($F{BASE_AMOUNT}):new String(" ")
TagsNo tags attached.
Attached Files

- Relationships Relation Graph ] Dependency Graph ]
related to defect 0032954 closedAtulOpenbravo Payment Report in Excel format is not setting "," (comma) as decimal separator, although it is defined in Format.xml file 

-  Notes
(0077365)
jorge-garcia (developer)
2015-05-13 09:33

Test Plan:

In your instance:
  Configure your Format.xml with decimal="," grouping="."
  Rebuild application

As group admin
  Run Payment Report in PDF format and realize that NUMBERFORMAT has been correctly applied. Try it with these two configurations:
  > Configuration 1:
     Organization: *
     Empty Business Partner: Include empty Business Partner
     Convert to Currency: USD
     Conversion date: Today
     Payment Type: Receivables/Payables
  > Configuration 2:
     Organization: *
     Empty Business Partner: Include empty Business Partner
     Convert to Currency: USD
     Conversion date: Today
     Payment Type: Receivables/Payables
     Grouping Criteria: Business Partner
(0077371)
AtulOpenbravo (developer)
2015-05-13 12:16

Code Review + Testing Ok
(0077374)
hgbot (developer)
2015-05-13 12:20

Repository: erp/devel/pi
Changeset: 46c71bc865aef7eec8ebd962740c07a46d59c330
Author: Jorge Garcia <jorge.garcia <at> openbravo.com>
Date: Tue May 12 17:14:50 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/46c71bc865aef7eec8ebd962740c07a46d59c330 [^]

Fixed issue 29847: Applied bad format number when running Payment Report in PDF

Decimal and Grouping separators defined in Format.xml are not applied when
running Payment Report in PDF.

The solution is to fix the Payment Report number format in the jrxml file.
Also, a new parameter must be added to the Report.

Now, all the number fields of the report are formatted as the Format.xml
definition.

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportPDF.jrxml
---
(0077455)
hudsonbot (developer)
2015-05-14 17:48

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/3375171dd310 [^]
Maturity status: Test
(0077705)
hgbot (developer)
2015-05-25 12:38

Repository: erp/devel/pi
Changeset: 47b88136f67584cec16b20c8349edb4236d705e7
Author: Carlos Aristu <carlos.aristu <at> openbravo.com>
Date: Thu May 14 12:43:04 2015 +0200
URL: http://code.openbravo.com/erp/devel/pi/rev/47b88136f67584cec16b20c8349edb4236d705e7 [^]

Update payment report in PDF with changes related to issue 29847

---
M modules/org.openbravo.financial.paymentreport/src/org/openbravo/financial/paymentreport/erpCommon/ad_reports/PaymentReportPDF.jrxml
---
(0077759)
hudsonbot (developer)
2015-05-26 15:08

A changeset related to this issue has been promoted main and to the
Central Repository, after passing a series of tests.

Promotion changeset: https://code.openbravo.com/erp/devel/main/rev/b0c5594df387 [^]
Maturity status: Test

- Issue History
Date Modified Username Field Change
2015-05-12 11:16 maite New Issue
2015-05-12 11:16 maite Assigned To => Triage Finance
2015-05-12 11:16 maite Modules => Payment Report
2015-05-12 11:16 maite Triggers an Emergency Pack => No
2015-05-12 11:17 maite Issue Monitored: networkb
2015-05-12 17:03 jorge-garcia Status new => scheduled
2015-05-12 17:03 jorge-garcia Assigned To Triage Finance => jorge-garcia
2015-05-13 09:33 jorge-garcia Note Added: 0077365
2015-05-13 12:16 AtulOpenbravo Review Assigned To => AtulOpenbravo
2015-05-13 12:16 AtulOpenbravo Note Added: 0077371
2015-05-13 12:20 hgbot Checkin
2015-05-13 12:20 hgbot Note Added: 0077374
2015-05-13 12:20 hgbot Status scheduled => resolved
2015-05-13 12:20 hgbot Resolution open => fixed
2015-05-13 12:20 hgbot Fixed in SCM revision => http://code.openbravo.com/erp/devel/pi/rev/46c71bc865aef7eec8ebd962740c07a46d59c330 [^]
2015-05-13 12:22 AtulOpenbravo Status resolved => closed
2015-05-13 12:22 AtulOpenbravo Fixed in Version => pi
2015-05-14 17:48 hudsonbot Checkin
2015-05-14 17:48 hudsonbot Note Added: 0077455
2015-05-25 12:38 hgbot Checkin
2015-05-25 12:38 hgbot Note Added: 0077705
2015-05-26 15:08 hudsonbot Checkin
2015-05-26 15:08 hudsonbot Note Added: 0077759
2016-05-13 13:10 maite Relationship added related to 0032954


Copyright © 2000 - 2009 MantisBT Group
Powered by Mantis Bugtracker